• “阿里、腾讯、微软、苏宁、京东、电信”合作服务商
  • 028-658861117X24热线:18080923400
如何选择PHP套件中ISAPI和FastCGI模式的版本?
[PHP套件]  2015-03-01 12:12:47

护卫神·PHP套件包含5个不同的版本,具体可以参照:http://www.huweishen.com/soft/php/

 

为方便用户区分和选择适合自己的套件版本,护卫神特将区别简单描述如下,希望能对用户的选择起到帮助作用。

 

ISAPI模式:

    1、dll模式,依靠IIS特有的ISAPI接口,靠w3wp.exe进程调用,没有单独的进程;

    2、稳定性略差,程序问题可能导致IIS崩溃。

FastCGI模式:

    1、有独立的php进程,如 php-cgi.exe;

    2、稳定性比ISAPI好。

 

一、如果是Windows 2003/Windows 2008 32位服务器:

    1、如果网站程序不用5.3、5.4的PHP版本支持,或者需要防御php对外发包,推荐安装5.2版本,因为在2003下,5.2 ISAPI模式比5.3/5.4运行效率稍高;

    2、如果程序必须要5.3以及以上PHP版本支持,那么只好安装5.3/5.4版本,这2个版本运行效率差不多,都是FastCGI模式;

    3、建议ISAPI 5.2.17版。

 

二、如果是Windows 2008/2012 64位服务器:

    1、推荐5.5/5.6版本,运行效率高,但是没有zend,只能支持64位系统;

    2、5.2/5.3/5.4这3个版本差不多,只要程序支持,都可以;

    3、建议FastCGI 5.5.25或5.6.9版,运行效率高,但没有Zend(因为支持该PHP版本的zend还没推出)且只能支持64位系统。

 

三、升级提醒:

    1、最新的PHP5.4.41、PHP5.5.25、PHP5.6.9,已经修复了远程DOS攻击漏洞,请注意及时升级。PHP5.3.28的建议升级到5.4.41。

用户留言
游客[125.106.*.*](2017-06-26 18:15:02)
没有 ZendLoader 网站运行方面 有什么影响吗?
[2017-07-14 10:40:40]没有影响的,现在几乎都不用Zend加密了。